import type { TQuestionSetNavigationItem } from '@boldpenguin/sdk-types';
import { IQuestionSetNavigationComponent } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
export declare class BpSdkQuestionSetNavigation implements IQuestionSetNavigationComponent {
    /**
     * Potential question sets
     */
    questionSets: TQuestionSetNavigationItem[];
    /**
     * Question set navigation enabled/disabled
     */
    isNavigationEnabled: boolean;
    /**
     * Active question set id
     */
    activeId: string;
    useExternal: boolean;
    el: HTMLElement;
    /**
     * Event to update active question set ID
     */
    activeIdUpdate: EventEmitter<string>;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    test(): void;
    renderInternal(): any;
    updateQuestionSetId: (id: string) => () => void;
    onKeyDown: (e: KeyboardEvent) => void;
    onKeyUp: (e: KeyboardEvent) => void;
    getPosition(index: number, key: string): number;
}
